org.apache.cassandra.cql3.statements

## Class Selection

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Selection

-     public abstract class Selection
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Selection.ResultSetBuilder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Selection(java.util.List<CFDefinition.Name> columnsList, java.util.List<ColumnSpecification> metadata, boolean collectTimestamps, boolean collectTTLs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Selection` | `fromSelectors(CFDefinition cfDef, java.util.List<RawSelector> rawSelectors)`
    `java.util.List<CFDefinition.Name>` | `getColumnsList()`
    `protected abstract java.util.List<java.nio.ByteBuffer>` | `handleRow(Selection.ResultSetBuilder rs)`
    `java.util.List<ColumnIdentifier>` | `regularColumnsToFetch()`
    `Selection.ResultSetBuilder` | `resultSetBuilder()`
    `static Selection` | `wildcard(CFDefinition cfDef)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Selection

          protected Selection(java.util.List<CFDefinition.Name> columnsList,
                   java.util.List<ColumnSpecification> metadata,
                   boolean collectTimestamps,
                   boolean collectTTLs)

  - ### Method Detail

    - #### wildcard

          public static Selection wildcard(CFDefinition cfDef)

    - #### fromSelectors

          public static Selection fromSelectors(CFDefinition cfDef,
                                java.util.List<RawSelector> rawSelectors)
                                         throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### handleRow

          protected abstract java.util.List<java.nio.ByteBuffer> handleRow(Selection.ResultSetBuilder rs)
                                                                    throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### regularColumnsToFetch

          public java.util.List<ColumnIdentifier> regularColumnsToFetch()

      Returns:
        the list of CQL3 "regular" (the "COLUMN_METADATA" ones) column names to fetch.

    - #### getColumnsList

          public java.util.List<CFDefinition.Name> getColumnsList()

      Returns:
        the list of CQL3 columns value this SelectionClause needs.

    - #### resultSetBuilder

          public Selection.ResultSetBuilder resultSetBuilder()

Copyright © 2014 The Apache Software Foundation